<?php
/**
 * The template for displaying 404 pages (not found)
 */

	get_header();
	
	?>
	<div class="uniq-not-found-wrap" id="uniq-full-no-header-wrap" >
		<div class="uniq-not-found-background" ></div>
		<div class="uniq-not-found-container uniq-container">
			<div class="uniq-header-transparent-substitute" ></div>
	
			<div class="uniq-not-found-content uniq-item-pdlr">
			<?php
				echo '<h1 class="uniq-not-found-head" >' . esc_html__('404', 'uniq') . '</h1>';
				echo '<h3 class="uniq-not-found-title uniq-content-font" >' . esc_html__('Page Not Found', 'uniq') . '</h3>';
				echo '<div class="uniq-not-found-caption" >' . esc_html__('Sorry, we couldn\'t find the page you\'re looking for.', 'uniq') . '</div>';

				echo '<form role="search" method="get" class="search-form" action="' . esc_url(home_url('/')) . '">';
				echo '<input type="text" class="search-field uniq-title-font" placeholder="' . esc_attr__('Type Keywords...', 'uniq') . '" value="" name="s">';
				echo '<div class="uniq-top-search-submit"><i class="fa fa-search" ></i></div>';
				echo '<input type="submit" class="search-submit" value="Search">';
				echo '</form>';
				echo '<div class="uniq-not-found-back-to-home" ><a href="' . esc_url(home_url('/')) . '" >' . esc_html__('Or Back To Homepage', 'uniq') . '</a></div>';
			?>
			</div>
		</div>
	</div>
	<?php

	get_footer(); 
