<?php
	/* a template for displaying the top bar */

	if( uniq_get_option('general', 'enable-top-bar', 'enable') == 'enable' ){

		$top_bar_width = uniq_get_option('general', 'top-bar-width', 'boxed');
		$top_bar_container_class = '';

		if( $top_bar_width == 'boxed' ){
			$top_bar_container_class = 'uniq-container ';
		}else if( $top_bar_width == 'custom' ){
			$top_bar_container_class = 'uniq-top-bar-custom-container ';
		}else{
			$top_bar_container_class = 'uniq-top-bar-full ';
		}

		$top_bar_menu = uniq_get_option('general', 'top-bar-menu-position', 'none');

		echo '<div class="uniq-top-bar" >';
		echo '<div class="uniq-top-bar-background" ></div>';
		echo '<div class="uniq-top-bar-container ' . esc_attr($top_bar_container_class) . '" >';
		echo '<div class="uniq-top-bar-container-inner clearfix" >';

		$language_flag = uniq_get_wpml_flag();
		$left_text = uniq_get_option('general', 'top-bar-left-text', '');
		if( !empty($left_text) || !empty($language_flag) || 
			($top_bar_menu == 'left' && has_nav_menu('top_bar_menu')) ){

			echo '<div class="uniq-top-bar-left uniq-item-pdlr">';
			if( $top_bar_menu == 'left' ){
				uniq_get_top_bar_menu('left');
			}
			echo gdlr_core_escape_content($language_flag);
			echo gdlr_core_escape_content(gdlr_core_text_filter($left_text));
			echo '</div>';
		}

		$right_text = uniq_get_option('general', 'top-bar-right-text', '');
		$top_bar_social = uniq_get_option('general', 'enable-top-bar-social', 'enable');
		if( !empty($right_text) || $top_bar_social == 'enable' || 
			($top_bar_menu == 'right' && has_nav_menu('top_bar_menu')) ){
			echo '<div class="uniq-top-bar-right uniq-item-pdlr">';
			if( $top_bar_menu == 'right' ){
				uniq_get_top_bar_menu('right');
			}

			if( !empty($right_text) ){
				echo '<div class="uniq-top-bar-right-text">';
				echo gdlr_core_escape_content(gdlr_core_text_filter($right_text));
				echo '</div>';
			}

			if( $top_bar_social == 'enable' ){
				echo '<div class="uniq-top-bar-right-social" >';
				get_template_part('header/header', 'social');
				echo '</div>';	
			}
			echo '</div>';	
		}
		echo '</div>'; // uniq-top-bar-container-inner
		echo '</div>'; // uniq-top-bar-container
		echo '</div>'; // uniq-top-bar

	}  // top bar
?>