<?php
/**
 * The template part for displaying single posts
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="uniq-single-article" >
		<?php
			ob_start();
			the_post_thumbnail('full');
			$post_thumbnail = ob_get_contents();
			ob_end_clean();

			if( !empty($post_thumbnail) ){
				echo '<div class="uniq-single-article-thumbnail uniq-media-image" >';
				echo gdlr_core_escape_content($post_thumbnail);
				if( is_sticky() ){
					echo '<div class="uniq-sticky-banner uniq-title-font" ><i class="fa fa-bolt" ></i>' . esc_html__('Sticky Post', 'uniq') . '</div>';
				}
				echo '</div>';
			}else{
				if( is_sticky() ){
					echo '<div class="uniq-sticky-banner uniq-title-font" ><i class="fa fa-bolt" ></i>' . esc_html__('Sticky Post', 'uniq') . '</div>';
				}
			}

			get_template_part('content/content-single', 'title');

			echo '<div class="uniq-single-article-content">';
			the_excerpt();
			echo '</div>';
		?>
	</div><!-- uniq-single-article -->
</article><!-- post-id -->
