<?php
	// mobile menu template
	echo '<div class="uniq-mobile-header-wrap" >';

	// top bar
	$top_bar = uniq_get_option('general', 'enable-top-bar-on-mobile', 'disable');
	if( $top_bar == 'enable' ){
		get_template_part('header/header', 'top-bar');
	}

	// header
	$logo_position = uniq_get_option('general', 'mobile-logo-position', 'logo-left');
	$sticky_mobile_nav = uniq_get_option('general', 'enable-mobile-navigation-sticky', 'enable');
	echo '<div class="uniq-mobile-header uniq-header-background uniq-style-slide ';
	if($sticky_mobile_nav == 'enable'){
		echo 'uniq-sticky-mobile-navigation ';
	}
	echo '" id="uniq-mobile-header" >';
	echo '<div class="uniq-mobile-header-container uniq-container clearfix" >';
	echo uniq_get_logo(array(
		'mobile' => true,
		'wrapper-class' => ($logo_position == 'logo-center'? 'uniq-mobile-logo-center': '')
	));

	echo '<div class="uniq-mobile-menu-right" >';

	// search icon
	$enable_search = (uniq_get_option('general', 'enable-main-navigation-search', 'enable') == 'enable')? true: false;
	if( $enable_search ){
		echo '<div class="uniq-main-menu-search" id="uniq-mobile-top-search" >';
		echo '<i class="fa fa-search" ></i>';
		echo '</div>';
		uniq_get_top_search();
	}

	// cart icon
	$enable_cart = (uniq_get_option('general', 'enable-main-navigation-cart', 'enable') == 'enable' && class_exists('WooCommerce'))? true: false;
	if( $enable_cart ){
		echo '<div class="uniq-main-menu-cart" id="uniq-mobile-menu-cart" >';
		echo '<i class="fa fa-shopping-cart" data-uniq-lb="top-bar" ></i>';
		uniq_get_woocommerce_bar();
		echo '</div>';
	}

	if( $logo_position == 'logo-center' ){
		echo '</div>';
		echo '<div class="uniq-mobile-menu-left" >';
	}

	// mobile menu
	if( has_nav_menu('mobile_menu') ){
		uniq_get_custom_menu(array(
			'type' => uniq_get_option('general', 'right-menu-type', 'right'),
			'container-class' => 'uniq-mobile-menu',
			'button-class' => 'uniq-mobile-menu-button',
			'icon-class' => 'fa fa-bars',
			'id' => 'uniq-mobile-menu',
			'theme-location' => 'mobile_menu'
		));
	}
	echo '</div>'; // uniq-mobile-menu-right/left
	echo '</div>'; // uniq-mobile-header-container
	echo '</div>'; // uniq-mobile-header

	echo '</div>'; // uniq-mobile-header-wrap