<?php
	/* a template for displaying the header area */
?>	
<header class="uniq-header-wrap uniq-header-style-side-toggle" >
	<?php
		$display_logo = uniq_get_option('general', 'header-side-toggle-display-logo', 'enable');
		if( $display_logo == 'enable' ){
			echo uniq_get_logo(array('padding' => false));
		}

		$navigation_class = '';
		if( uniq_get_option('general', 'enable-main-navigation-submenu-indicator', 'disable') == 'enable' ){
			$navigation_class = 'uniq-navigation-submenu-indicator ';
		}
	?>
	<div class="uniq-navigation clearfix <?php echo esc_attr($navigation_class); ?>" >
	<?php
		// print main menu
		if( has_nav_menu('main_menu') ){
			uniq_get_custom_menu(array(
				'container-class' => 'uniq-main-menu',
				'button-class' => 'uniq-side-menu-icon',
				'icon-class' => 'fa fa-bars',
				'id' => 'uniq-main-menu',
				'theme-location' => 'main_menu',
				'type' => uniq_get_option('general', 'header-side-toggle-menu-type', 'overlay')
			));
		}
	?>
	</div><!-- uniq-navigation -->
	<?php

		// menu right side
		$enable_search = (uniq_get_option('general', 'enable-main-navigation-search', 'enable') == 'enable')? true: false;
		$enable_cart = (uniq_get_option('general', 'enable-main-navigation-cart', 'enable') == 'enable' && class_exists('WooCommerce'))? true: false;
		if( $enable_search || $enable_cart ){ 
			echo '<div class="uniq-header-icon uniq-pos-bottom" >';

			// search icon
			if( $enable_search ){
				echo '<div class="uniq-main-menu-search" id="uniq-top-search" >';
				echo '<i class="fa fa-search" ></i>';
				echo '</div>';
				uniq_get_top_search();
			}

			// cart icon
			if( $enable_cart ){
				echo '<div class="uniq-main-menu-cart" id="uniq-main-menu-cart" >';
				echo '<i class="fa fa-shopping-cart" data-uniq-lb="top-bar" ></i>';
				uniq_get_woocommerce_bar();
				echo '</div>';
			}

			echo '</div>'; // uniq-main-menu-right-wrap
		}

	?>
</header><!-- header -->